
package webapp.postconstructissue;

import java.util.logging.Logger;
import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

@WebService()
public class MyWebService {
    static final Logger log = Logger.getAnonymousLogger();

    public MyWebService() {
        log.info(this + " constructor");
    }

    @PostConstruct
    private void init() {
        log.info(this + " @PostConstruct init");
    }

    @PreDestroy
    private void release() {
        log.info(this + " @PreDestroy release");
    }

    /**
     * Web service operation
     */
    @WebMethod(operationName = "sayHello")
    public String sayHello(@WebParam(name = "name")
    final String name) {
        return "Hello, " + name + ".";
    }

   

    
}
